// TestDlg.cpp : implementation file
//

#include "stdafx.h"
#include "Sdi2Dlg.h"
#include "Sdi2DlgDoc.h"
#include "TestDlg.h"


// CTestDlg dialog

IMPLEMENT_DYNAMIC(CTestDlg, CDialog)

CTestDlg::CTestDlg(CWnd* pParent, CSdi2DlgDoc* pDocument)
	: CDialog(CTestDlg::IDD, pParent)
		, m_pDocument( pDocument )
		, m_sEdit(_T(""))
{

}

CTestDlg::~CTestDlg()
{
}

void CTestDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_EDIT1, m_sEdit);
}


BEGIN_MESSAGE_MAP(CTestDlg, CDialog)
	ON_BN_CLICKED(IDOK, &CTestDlg::OnBnClickedOk)
END_MESSAGE_MAP()

BOOL CTestDlg::OnInitDialog( )
{
	//
	// Okay to manipulate data variables here
	//

	// Initialize the edit box string variable
	// from the document
	m_sEdit = m_pDocument->GetEditString( );

	CDialog::OnInitDialog();

	// Okay to manipulate control variables here



	return 0;
}
// CTestDlg message handlers

void CTestDlg::OnBnClickedOk()
{
	// Save the edit box string variable
	// back to the document

	// Call UpdateData to transfer the value from the edit box
	// into the local m_sEdit variable
	UpdateData( TRUE );

	// Copy the data into the Document variable
	m_pDocument->GetEditString( ) = m_sEdit;

	OnOK();
}
